import requests

HOST: str = 'cg-ruleset-generator'
PORT: int = 80
ROUTE: str = '/content-generator/health_check'


def test_health_check():
    """
    Testing Health Check endpoint for CPS content-generator
    :return: None
    """
    _url = f'http://{HOST}:{PORT}{ROUTE}'
    resp = requests.get(_url)
    assert resp.ok, f'Health check for content-generator CPS failed with status code: {resp.status_code}'
