import requests

HOST: str = 'pscr-docbuilder'
PORT: int = 8181
ROUTE: str = '/health'


def test_health_check():
    """
    Testing Health Check endpoint for docbuilder service PSCR
    :return: None
    """
    _url = f'http://{HOST}:{PORT}{ROUTE}'
    resp = requests.get(_url)
    assert resp.ok, f'Health check for pscr-docbuilder failed with status code: {resp.status_code}'
