import requests

HOST: str = 'content-mgmt-cps'
PORT: int = 8030
ROUTE: str = '/content_pacing/health_check'


def test_health_check():
    """
    Testing Health Check endpoint for cbc.content-pacing service CPS
    :return: None
    """
    _url = f'http://{HOST}:{PORT}{ROUTE}'
    resp = requests.get(_url)
    assert resp.ok, f'Health check for content-pacing CPS failed with status code: {resp.status_code}'
