import requests

HOST: str = 'service-golang-ci-pipeline-example'
PORT: int = 58080
ROUTE: str = '/hello'


def test_health_check():
    """
    Testing Health Check endpoint for golang hello world app
    :return: None
    """
    _url = f'http://{HOST}:{PORT}{ROUTE}'
    resp = requests.get(_url)
    assert resp.ok, f'Health check for content-generator CPS failed with status code: {resp.status_code}'